curl --request POST \ --url https://toapis.com/v1/videos/generations \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "model": "kling-video-o1", "prompt": "Make the person in <<<image_1>>> wave at the camera", "mode": "std", "duration": 5, "metadata": { "image_list": [{"image_url": "https://example.com/portrait.jpg"}] } }'
import requestsresponse = requests.post( "https://toapis.com/v1/videos/generations", headers={"Authorization": "Bearer <token>", "Content-Type": "application/json"}, json={ "model": "kling-video-o1", "prompt": "Make the person in <<<image_1>>> wave at the camera", "mode": "std", "duration": 5, "metadata": {"image_list": [{"image_url": "https://example.com/portrait.jpg"}]}, },)print(response.json())
const response = await fetch("https://toapis.com/v1/videos/generations", { method: "POST", headers: { Authorization: "Bearer <token>", "Content-Type": "application/json" }, body: JSON.stringify({ model: "kling-video-o1", prompt: "Make the person in <<<image_1>>> wave at the camera", mode: "std", duration: 5, metadata: { image_list: [{ image_url: "https://example.com/portrait.jpg" }] } })});console.log(await response.json());
Kling Video O1
Kling Video O1 Video Generation
Generate videos with Kling Video O1 using official Omni references: image_list, video_list, and element_list
POST
/
v1
/
videos
/
generations
curl --request POST \ --url https://toapis.com/v1/videos/generations \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "model": "kling-video-o1", "prompt": "Make the person in <<<image_1>>> wave at the camera", "mode": "std", "duration": 5, "metadata": { "image_list": [{"image_url": "https://example.com/portrait.jpg"}] } }'
import requestsresponse = requests.post( "https://toapis.com/v1/videos/generations", headers={"Authorization": "Bearer <token>", "Content-Type": "application/json"}, json={ "model": "kling-video-o1", "prompt": "Make the person in <<<image_1>>> wave at the camera", "mode": "std", "duration": 5, "metadata": {"image_list": [{"image_url": "https://example.com/portrait.jpg"}]}, },)print(response.json())
const response = await fetch("https://toapis.com/v1/videos/generations", { method: "POST", headers: { Authorization: "Bearer <token>", "Content-Type": "application/json" }, body: JSON.stringify({ model: "kling-video-o1", prompt: "Make the person in <<<image_1>>> wave at the camera", mode: "std", duration: 5, metadata: { image_list: [{ image_url: "https://example.com/portrait.jpg" }] } })});console.log(await response.json());
Note for users in mainland China: Please use https://toapis.cn as the API endpoint (Base URL). Replace https://toapis.com with https://toapis.cn in the examples in this document.
Async task API, returns a task ID after submission
Uses the official Omni reference structures: image_list, video_list, and element_list
mode=std maps to 720P, mode=pro maps to 1080P
audio=true generates an audio video and is billed as Sound
Requests with video_list are billed as Video
audio and video_list are mutually exclusive
Use publicly accessible image or video URLs. Do not pass base64 media data. Upload local images with the Upload Image API first.
{ "model": "kling-video-o1", "prompt": "Make the person in <<<image_1>>> wave at the camera", "mode": "pro", "duration": 5, "metadata": { "image_list": [ {"image_url": "https://example.com/portrait.jpg"} ] }}
Video generation is asynchronous. Use the Get Video Task Status endpoint to query progress and results.
curl --request POST \ --url https://toapis.com/v1/videos/generations \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "model": "kling-video-o1", "prompt": "Make the person in <<<image_1>>> wave at the camera", "mode": "std", "duration": 5, "metadata": { "image_list": [{"image_url": "https://example.com/portrait.jpg"}] } }'
import requestsresponse = requests.post( "https://toapis.com/v1/videos/generations", headers={"Authorization": "Bearer <token>", "Content-Type": "application/json"}, json={ "model": "kling-video-o1", "prompt": "Make the person in <<<image_1>>> wave at the camera", "mode": "std", "duration": 5, "metadata": {"image_list": [{"image_url": "https://example.com/portrait.jpg"}]}, },)print(response.json())
const response = await fetch("https://toapis.com/v1/videos/generations", { method: "POST", headers: { Authorization: "Bearer <token>", "Content-Type": "application/json" }, body: JSON.stringify({ model: "kling-video-o1", prompt: "Make the person in <<<image_1>>> wave at the camera", mode: "std", duration: 5, metadata: { image_list: [{ image_url: "https://example.com/portrait.jpg" }] } })});console.log(await response.json());
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"ToAPIs Documentation","colors":{"primary":"#2563EB","light":"#3B82F6","dark":"#1D4ED8"},"logo":{"light":"https://mintcdn.com/dashlyai/a_NCjmRocEr6wT0r/logo/light.svg?fit=max\u0026auto=format\u0026n=a_NCjmRocEr6wT0r\u0026q=85\u0026s=3d58ff2776a33f0fb61c09a496c32cde","dark":"https://mintcdn.com/dashlyai/a_NCjmRocEr6wT0r/logo/dark.svg?fit=max\u0026auto=format\u0026n=a_NCjmRocEr6wT0r\u0026q=85\u0026s=a743e3732e358cf5ef51f6d0e20b83e2"},"favicon":"https://mintcdn.com/dashlyai/a_NCjmRocEr6wT0r/favicon.svg?fit=max\u0026auto=format\u0026n=a_NCjmRocEr6wT0r\u0026q=85\u0026s=8faf46e48cc405e456b8d27296c8dadd","navbar":{"links":[{"href":"https://x.com/toapisai","label":"X"},{"href":"https://discord.gg/hvnszCrJ73","label":"Discord"},{"href":"https://toapis.com/wechat","label":"WeChat"}],"primary":{"type":"button","label":"Dashboard","href":"https://toapis.com/dashboard"}},"footer":{"socials":{"x":"https://x.com/toapisai","github":"https://github.com/ToAPIs","linkedin":"https://linkedin.com/company/ToAPIs","discord":"https://discord.gg/hvnszCrJ73"}},"seo":{"paths":[{"path":"docs/cn","metatags":{"og:image":"https://docs.toapis.com/docs/assets/images/og-default.png","twitter:image":"https://docs.toapis.com/docs/assets/images/og-default.png"}},{"path":"docs/zh-Hant","metatags":{"og:image":"https://docs.toapis.com/docs/assets/images/og-default.png","twitter:image":"https://docs.toapis.com/docs/assets/images/og-default.png"}},{"path":"docs/ja","metatags":{"og:image":"https://docs.toapis.com/docs/assets/images/og-default.png","twitter:image":"https://docs.toapis.com/docs/assets/images/og-default.png"}},{"path":"docs/ko","metatags":{"og:image":"https://docs.toapis.com/docs/assets/images/og-default.png","twitter:image":"https://docs.toapis.com/docs/assets/images/og-default.png"}}]},"contextual":{"options":["copy","view"],"display":"header"},"styling":{"latex":true},"navigation":{"languages":[{"language":"cn","href":"docs/cn/quickstart"},{"language":"zh-Hant","href":"docs/zh-Hant/quickstart"},{"language":"en","href":"docs/en"},{"language":"ja","href":"docs/ja"},{"language":"ko","href":"docs/ko"},{"language":"ru","href":"docs/ru"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"dashlyai","hasAudioNarration":false,"actualSubdomain":"dashlyai","customDomains":["docs.toapis.com"],"gitSource":{"type":"github","owner":"blackai2025","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae43e69a2d7ca4670e02c57","collectionId":"0ab4cc3d-641a-4222-bb93-d8d778476369","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae43e69a2d7ca4670e02c57"},"entitlements":{},"buildId":"6ae43e69a2d7ca4670e02c57","clientVersion":"0.0.4044","searchFilterCounts":[{"language":"en","tag":"API Reference","count":129},{"language":"cn","tag":"API 手册","count":128},{"language":"ru","tag":"Справочник API","count":110},{"language":"ja","tag":"APIリファレンス","count":109},{"language":"ko","tag":"API 참조","count":109},{"language":"zh-Hant","tag":"API 手冊","count":108},{"language":"cn","tag":"图像系列","count":45},{"language":"cn","tag":"视频系列","count":45},{"language":"en","tag":"Image API","count":45},{"language":"en","tag":"Video API","count":45},{"language":"ja","tag":"動画API","count":45},{"language":"ko","tag":"비디오 API","count":45},{"language":"ru","tag":"API видео","count":45},{"language":"zh-Hant","tag":"視頻系列","count":45},{"language":"ja","tag":"画像API","count":26},{"language":"ko","tag":"이미지 API","count":26},{"language":"ru","tag":"API изображений","count":26},{"language":"zh-Hant","tag":"圖像系列","count":26},{"language":"cn","tag":"Midjourney","count":19},{"language":"en","tag":"Midjourney","count":19},{"language":"cn","tag":"音乐系列","count":8},{"language":"cn","tag":"Suno 音乐","count":8},{"language":"cn","tag":"文本对话系列","count":8},{"language":"en","tag":"Music API","count":8},{"language":"en","tag":"Suno Music","count":8},{"language":"en","tag":"Chat API","count":8},{"language":"ja","tag":"音楽API","count":8},{"language":"ja","tag":"Suno 音楽","count":8},{"language":"ko","tag":"음악 API","count":8},{"language":"ko","tag":"Suno 음악","count":8},{"language":"ru","tag":"API музыки","count":8},{"language":"ru","tag":"Suno","count":8},{"language":"ru","tag":"API чата","count":8},{"language":"zh-Hant","tag":"音樂系列","count":8},{"language":"zh-Hant","tag":"Suno 音樂","count":8},{"language":"ja","tag":"チャットAPI","count":7},{"language":"ko","tag":"채팅 API","count":7},{"language":"zh-Hant","tag":"文本對話系列","count":7},{"language":"cn","tag":"快速上手","count":6},{"language":"en","tag":"Quick Start","count":6},{"language":"ja","tag":"クイックスタート","count":6},{"language":"ko","tag":"빠른 시작","count":6},{"language":"ru","tag":"Быстрый старт","count":6},{"language":"zh-Hant","tag":"快速上手","count":6},{"language":"cn","tag":"账户","count":5},{"language":"cn","tag":"任务管理","count":5},{"language":"en","tag":"Account","count":5},{"language":"en","tag":"Task Management","count":5},{"language":"ja","tag":"アカウント","count":5},{"language":"ja","tag":"タスク管理","count":5},{"language":"ko","tag":"계정","count":5},{"language":"ko","tag":"작업 관리","count":5},{"language":"ru","tag":"Аккаунт","count":5},{"language":"ru","tag":"Управление задачами","count":5},{"language":"zh-Hant","tag":"賬戶","count":5},{"language":"zh-Hant","tag":"任務管理","count":5},{"language":"ja","tag":"Grok Video","count":4},{"language":"ko","tag":"Grok Video","count":4},{"language":"ru","tag":"Grok Video","count":4},{"language":"zh-Hant","tag":"Grok Video","count":4}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"docs/en/api-reference/videos/kling-video-o1/generation","slug":"/docs/en/api-reference/videos/kling-video-o1/generation","pageMetadata":{"title":"Kling Video O1 Video Generation","sidebarTitle":"Kling Video O1","api":"POST https://toapis.com/v1/videos/generations","description":"Generate videos with Kling Video O1 using official Omni references: image_list, video_list, and element_list","href":"/docs/en/api-reference/videos/kling-video-o1/generation"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Generate videos with Kling Video O1 using official Omni references: image_list, video_list, and element_list\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Expandable,Heading,Note,ParamField,Table,Warning}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!Table)_missingMdxReference(`Table`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(Note,{children:_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Note for users in mainland China:`}),` Please use `,_jsx(_components.code,{children:`https://toapis.cn`}),` as the API endpoint (Base URL). Replace `,_jsx(_components.code,{children:`https://toapis.com`}),` with `,_jsx(_components.code,{children:`https://toapis.cn`}),` in the examples in this document.`]})}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`Async task API, returns a task ID after submission`}),`\n`,_jsxs(_components.li,{children:[`Uses the official Omni reference structures: `,_jsx(_components.code,{children:`image_list`}),`, `,_jsx(_components.code,{children:`video_list`}),`, and `,_jsx(_components.code,{children:`element_list`})]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`mode=std`}),` maps to 720P, `,_jsx(_components.code,{children:`mode=pro`}),` maps to 1080P`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`audio=true`}),` generates an audio video and is billed as Sound`]}),`\n`,_jsxs(_components.li,{children:[`Requests with `,_jsx(_components.code,{children:`video_list`}),` are billed as Video`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`audio`}),` and `,_jsx(_components.code,{children:`video_list`}),` are mutually exclusive`]}),`\n`]}),`\n`,_jsx(Warning,{children:_jsxs(_components.p,{children:[`Use publicly accessible image or video URLs. Do not pass base64 media data. Upload local images with the `,_jsx(_components.a,{href:`/docs/en/api-reference/uploads/images`,children:`Upload Image API`}),` first.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`authorization`,children:`Authorization`}),`\n`,_jsxs(ParamField,{header:`Authorization`,type:`string`,required:true,id:`param-authorization`,children:[_jsx(_components.p,{children:`All endpoints require Bearer Token authentication.`}),_jsx(CodeBlock,{numberOfLines:`2`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`2`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`Authorization: Bearer YOUR_API_KEY`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),`\n`,_jsx(Heading,{level:`2`,id:`request-parameters`,children:`Request Parameters`}),`\n`,_jsx(ParamField,{body:`model`,type:`string`,required:true,id:`param-model`,children:_jsxs(_components.p,{children:[`Video generation model name, fixed as `,_jsx(_components.code,{children:`kling-video-o1`}),`.`]})}),`\n`,_jsxs(ParamField,{body:`prompt`,type:`string`,required:true,id:`param-prompt`,children:[_jsx(_components.p,{children:`Text prompt. Use official Omni placeholders to reference input assets:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`\u003c\u003c\u003cimage_N>>>`}),` references `,_jsx(_components.code,{children:`metadata.image_list`})]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`\u003c\u003c\u003cvideo_N>>>`}),` references `,_jsx(_components.code,{children:`video_list`})]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`\u003c\u003c\u003celement_N>>>`}),` references `,_jsx(_components.code,{children:`metadata.element_list`})]}),`\n`]}),_jsxs(_components.p,{children:[`Example: `,_jsx(_components.code,{children:`\"Make the person in \u003c\u003c\u003cimage_1>>> wave at the camera\"`})]}),_jsx(Note,{children:_jsx(_components.p,{children:`List order must match the placeholder order in the prompt. The system does not auto-prepend a first frame or insert placeholders for you.`})})]}),`\n`,_jsxs(ParamField,{body:`mode`,type:`string`,default:`std`,id:`param-mode`,children:[_jsx(_components.p,{children:`Generation mode. This also determines the billing resolution.`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`std`}),` - standard mode, 720P`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`pro`}),` - professional mode, 1080P`]}),`\n`]})]}),`\n`,_jsx(ParamField,{body:`duration`,type:`integer`,default:`5`,id:`param-duration`,children:_jsxs(_components.p,{children:[`Video duration in seconds. Options: `,_jsx(_components.code,{children:`3`}),`, `,_jsx(_components.code,{children:`4`}),`, `,_jsx(_components.code,{children:`5`}),`, `,_jsx(_components.code,{children:`6`}),`, `,_jsx(_components.code,{children:`7`}),`, `,_jsx(_components.code,{children:`8`}),`, `,_jsx(_components.code,{children:`9`}),`, `,_jsx(_components.code,{children:`10`})]})}),`\n`,_jsx(ParamField,{body:`aspect_ratio`,type:`string`,default:`16:9`,id:`param-aspect-ratio`,children:_jsxs(_components.p,{children:[`Video aspect ratio. Common values: `,_jsx(_components.code,{children:`16:9`}),`, `,_jsx(_components.code,{children:`9:16`}),`, `,_jsx(_components.code,{children:`1:1`})]})}),`\n`,_jsxs(ParamField,{body:`audio`,type:`boolean`,default:`false`,id:`param-audio`,children:[_jsx(_components.p,{children:`Whether to generate an audio video.`}),_jsx(Warning,{children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`audio`}),` and `,_jsx(_components.code,{children:`video_list`}),` are mutually exclusive. Do not pass `,_jsx(_components.code,{children:`audio=true`}),` when `,_jsx(_components.code,{children:`video_list`}),` is provided.`]})})]}),`\n`,_jsxs(ParamField,{body:`video_list`,type:`object[]`,id:`param-video-list`,children:[_jsxs(_components.p,{children:[`Official Omni reference video list. Reference videos in the prompt with `,_jsx(_components.code,{children:`\u003c\u003c\u003cvideo_1>>>`}),`, `,_jsx(_components.code,{children:`\u003c\u003c\u003cvideo_2>>>`}),`, and so on.`]}),_jsxs(Expandable,{title:`Show video_list object fields`,children:[_jsx(ParamField,{body:`video_url`,type:`string`,required:true,id:`param-video-url`,children:_jsx(_components.p,{children:`Reference video URL. It must be publicly accessible.`})}),_jsx(ParamField,{body:`refer_type`,type:`string`,default:`base`,id:`param-refer-type`,children:_jsxs(_components.p,{children:[`Reference type: `,_jsx(_components.code,{children:`base`}),` for source video editing, or `,_jsx(_components.code,{children:`feature`}),` for feature/motion reference.`]})}),_jsx(ParamField,{body:`keep_original_sound`,type:`string`,default:`no`,id:`param-keep-original-sound`,children:_jsxs(_components.p,{children:[`Whether to keep the original video sound: `,_jsx(_components.code,{children:`yes`}),` or `,_jsx(_components.code,{children:`no`}),`.`]})})]})]}),`\n`,_jsxs(ParamField,{body:`metadata`,type:`object`,id:`param-metadata`,children:[_jsx(_components.p,{children:`Extended parameters.`}),_jsxs(Expandable,{title:`Show metadata fields`,children:[_jsxs(ParamField,{body:`image_list`,type:`object[]`,id:`param-image-list`,children:[_jsxs(_components.p,{children:[`Official Omni image list. Reference images in the prompt with `,_jsx(_components.code,{children:`\u003c\u003c\u003cimage_1>>>`}),`, `,_jsx(_components.code,{children:`\u003c\u003c\u003cimage_2>>>`}),`, and so on.`]}),_jsxs(Expandable,{title:`Show image_list object fields`,children:[_jsx(ParamField,{body:`image_url`,type:`string`,required:true,id:`param-image-url`,children:_jsx(_components.p,{children:`Image URL. It must be publicly accessible.`})}),_jsx(ParamField,{body:`type`,type:`string`,id:`param-type`,children:_jsxs(_components.p,{children:[`Image type. For first/end frame semantics, use `,_jsx(_components.code,{children:`first_frame`}),` or `,_jsx(_components.code,{children:`end_frame`}),`. If `,_jsx(_components.code,{children:`end_frame`}),` is provided, `,_jsx(_components.code,{children:`first_frame`}),` is required too.`]})})]})]}),_jsxs(ParamField,{body:`element_list`,type:`object[]`,id:`param-element-list`,children:[_jsxs(_components.p,{children:[`Official Omni subject/role reference list. Reference elements in the prompt with `,_jsx(_components.code,{children:`\u003c\u003c\u003celement_1>>>`}),`, `,_jsx(_components.code,{children:`\u003c\u003c\u003celement_2>>>`}),`, and so on.`]}),_jsxs(Expandable,{title:`Show element_list object fields`,children:[_jsx(ParamField,{body:`url`,type:`string`,required:true,id:`param-url`,children:_jsx(_components.p,{children:`Subject image, character asset, or another official supported asset URL.`})}),_jsx(ParamField,{body:`type`,type:`string`,id:`param-type-1`,children:_jsxs(_components.p,{children:[`Element type, such as `,_jsx(_components.code,{children:`image`}),` or `,_jsx(_components.code,{children:`video`}),`.`]})}),_jsx(ParamField,{body:`role`,type:`string`,id:`param-role`,children:_jsx(_components.p,{children:`Role semantics supported by the official model.`})})]})]}),_jsx(ParamField,{body:`watermark`,type:`boolean`,id:`param-watermark`,children:_jsx(_components.p,{children:`Whether to add watermark.`})})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`omni-reference-syntax`,children:`Omni Reference Syntax`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Syntax`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`\u003c\u003c\u003cimage_1>>>`})}),_jsxs(_components.td,{children:[`References the first item in `,_jsx(_components.code,{children:`metadata.image_list`})]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`\u003c\u003c\u003cvideo_1>>>`})}),_jsxs(_components.td,{children:[`References the first item in `,_jsx(_components.code,{children:`video_list`})]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`\u003c\u003c\u003celement_1>>>`})}),_jsxs(_components.td,{children:[`References the first item in `,_jsx(_components.code,{children:`metadata.element_list`})]})]})]})]}),`\n`,_jsx(Warning,{children:_jsxs(_components.p,{children:[`The order of `,_jsx(_components.code,{children:`image_list`}),`, `,_jsx(_components.code,{children:`video_list`}),`, and `,_jsx(_components.code,{children:`element_list`}),` must match the order of the corresponding placeholders in `,_jsx(_components.code,{children:`prompt`}),`.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`examples`,children:`Examples`}),`\n`,_jsx(Heading,{level:`3`,id:`text-to-video`,children:`Text-to-Video`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`7`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`7`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"model\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"kling-video-o1\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"prompt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Golden hour city skyline, cinematic lens quality\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"mode\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"std\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"duration\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`5`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"aspect_ratio\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"16:9\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`3`,id:`image-reference`,children:`Image Reference`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`11`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`11`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"model\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"kling-video-o1\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"prompt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Make the person in \u003c\u003c\u003cimage_1>>> wave at the camera\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"mode\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"pro\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"duration\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`5`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"metadata\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"image_list\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"image_url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://example.com/portrait.jpg\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`3`,id:`first-and-end-frame`,children:`First and End Frame`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`12`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`12`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"model\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"kling-video-o1\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"prompt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Transition from \u003c\u003c\u003cimage_1>>> to \u003c\u003c\u003cimage_2>>>\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"mode\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"pro\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"duration\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`5`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"metadata\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"image_list\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"image_url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://example.com/start.jpg\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"first_frame\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`},`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"image_url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://example.com/end.jpg\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"end_frame\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`3`,id:`reference-video-input`,children:`Reference Video Input`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`12`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`12`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"model\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"kling-video-o1\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"prompt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Transform \u003c\u003c\u003cvideo_1>>> into a moonlit cyberpunk street\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"mode\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"std\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"video_list\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"video_url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://example.com/source-video.mp4\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"refer_type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"base\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"keep_original_sound\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"no\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`3`,id:`subject-plus-motion-reference`,children:`Subject plus Motion Reference`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`17`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`17`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"model\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"kling-video-o1\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"prompt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Make \u003c\u003c\u003celement_1>>> imitate the motion from \u003c\u003c\u003cvideo_1>>>\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"mode\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"pro\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"video_list\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"video_url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://example.com/motion-reference.mp4\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"refer_type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"feature\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"keep_original_sound\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"no\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"metadata\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"element_list\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://example.com/character.jpg\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"image\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"role\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"subject\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Note,{children:_jsxs(_components.p,{children:[`Video generation is asynchronous. Use the `,_jsx(_components.a,{href:`/docs/en/api-reference/tasks/video-status`,children:`Get Video Task Status`}),` endpoint to query progress and results.`]})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Kling Video O1 Video Generation","sidebarTitle":"Kling Video O1","api":"POST https://toapis.com/v1/videos/generations","description":"Generate videos with Kling Video O1 using official Omni references: image_list, video_list, and element_list","href":"/docs/en/api-reference/videos/kling-video-o1/generation"}}},"mdxSourceWithNoJs":null,"noJsSplices":[[402,407,"RequestExample,Table"],[688,705,"RequestExample)_missingMdxReference(`RequestExample`,true);if(!Table)_missingMdx"],[33106,33534,",`\n`,_jsxs(RequestExample,{children:[_jsx(CodeBlock,{filename:`cURL`,numberOfLines:`13`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`13`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --request`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` POST`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --url`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://toapis.com/v1/videos/generations`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --header`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Authorization: Bearer \u003ctoken>'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --header`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Content-Type: application/json'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --data`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '{`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"model\": \"kling-video-o1\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"prompt\": \"Make the person in \u003c\u003c\u003cimage_1>>> wave at the camera\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"mode\": \"std\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"duration\": 5,`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"metadata\": {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"image_list\": [{\"image_url\": \"https://example.com/portrait.jpg\"}]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }'`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`Python`,numberOfLines:`15`,language:`python`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`python`,children:_jsxs(_components.code,{language:`python`,numberOfLines:`15`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`import`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`response `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests.post(`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://toapis.com/v1/videos/generations\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` headers`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Authorization\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Bearer \u003ctoken>\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Content-Type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"application/json\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`},`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` json`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"model\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"kling-video-o1\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"prompt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Make the person in \u003c\u003c\u003cimage_1>>> wave at the camera\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"mode\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"std\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"duration\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`5`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"metadata\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"image_list\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [{`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"image_url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://example.com/portrait.jpg\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}]},`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#DCDCAA`},children:`print`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(response.json())`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`JavaScript`,numberOfLines:`18`,language:`javascript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`javascript`,children:_jsxs(_components.code,{language:`javascript`,numberOfLines:`18`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` response`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` fetch`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://toapis.com/v1/videos/generations\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` method:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"POST\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` headers:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` Authorization:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Bearer \u003ctoken>\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Content-Type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"application/json\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` body:`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` JSON`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`stringify`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`({`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` model:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"kling-video-o1\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` prompt:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Make the person in \u003c\u003c\u003cimage_1>>> wave at the camera\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` mode:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"std\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` duration:`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:` 5`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` metadata:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` image_list:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` [{ `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`image_url:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://example.com/portrait.jpg\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }]`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` })`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`});`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`console`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`log`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`await`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` response`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`json`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`());`})]}),`\n`]})})})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}"]]},"mdxExtracts":{"tableOfContents":[{"title":"Authorization","slug":"authorization","depth":2,"children":[]},{"title":"Request Parameters","slug":"request-parameters","depth":2,"children":[]},{"title":"Omni Reference Syntax","slug":"omni-reference-syntax","depth":2,"children":[]},{"title":"Examples","slug":"examples","depth":2,"children":[{"title":"Text-to-Video","slug":"text-to-video","depth":3,"children":[]},{"title":"Image Reference","slug":"image-reference","depth":3,"children":[]},{"title":"First and End Frame","slug":"first-and-end-frame","depth":3,"children":[]},{"title":"Reference Video Input","slug":"reference-video-input","depth":3,"children":[]},{"title":"Subject plus Motion Reference","slug":"subject-plus-motion-reference","depth":3,"children":[]}]}],"codeExamples":{"request":{"type":"RequestExample","children":[{"filename":"cURL","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"shellscript\">\u003ccode language=\"shellscript\" numberOfLines=\"13\">\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#DCDCAA\">curl\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --request\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> POST\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --url\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> https://toapis.com/v1/videos/generations\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --header\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> 'Authorization: Bearer \u0026#x3C;token>'\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --header\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> 'Content-Type: application/json'\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --data\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> '{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"model\": \"kling-video-o1\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"prompt\": \"Make the person in \u0026#x3C;\u0026#x3C;\u0026#x3C;image_1>>> wave at the camera\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"mode\": \"std\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"duration\": 5,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"metadata\": {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"image_list\": [{\"image_url\": \"https://example.com/portrait.jpg\"}]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> }'\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"Python","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"python\">\u003ccode language=\"python\" numberOfLines=\"15\">\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\">import\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> requests\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">response \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> requests.post(\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"https://toapis.com/v1/videos/generations\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#9CDCFE\"> headers\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Authorization\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Bearer \u0026#x3C;token>\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Content-Type\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"application/json\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">},\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#9CDCFE\"> json\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"model\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"kling-video-o1\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"prompt\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Make the person in \u0026#x3C;\u0026#x3C;\u0026#x3C;image_1>>> wave at the camera\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"mode\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"std\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"duration\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">5\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"metadata\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"image_list\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [{\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"image_url\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"https://example.com/portrait.jpg\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}]},\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">)\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#DCDCAA\">print\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(response.json())\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"JavaScript","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"javascript\">\u003ccode language=\"javascript\" numberOfLines=\"18\">\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\">const\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#4FC1FF\"> response\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\"> =\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\"> await\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\"> fetch\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"https://toapis.com/v1/videos/generations\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> method:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"POST\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> headers:\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> Authorization:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"Bearer \u0026#x3C;token>\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"Content-Type\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"application/json\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> body:\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#4FC1FF\"> JSON\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">.\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\">stringify\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">({\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> model:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"kling-video-o1\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> prompt:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"Make the person in \u0026#x3C;\u0026#x3C;\u0026#x3C;image_1>>> wave at the camera\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> mode:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"std\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> duration:\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\"> 5\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> metadata:\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> image_list:\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> [{ \u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">image_url:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"https://example.com/portrait.jpg\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> })\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">});\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">console\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">.\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\">log\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\">await\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> response\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">.\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\">json\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">());\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Kling Video O1 Video Generation","path":"/v1/videos/generations","servers":[{"url":"https://toapis.com"}],"method":"post","request":{"security":[],"parameters":{"query":{},"header":{"Authorization":{"schema":[{"type":"string","description":"All endpoints require Bearer Token authentication.","required":true}]}},"cookie":{},"path":{}},"body":{"application/json":{"schemaArray":[{"type":"object","properties":{"model":[{"type":"string","description":"Video generation model name, fixed as `kling-video-o1` .","required":true}],"prompt":[{"type":"string","description":"Text prompt. Use official Omni placeholders to reference input assets: `\u003c\u003c\u003cimage_N>>>` references `metadata.image_list` `\u003c\u003c\u003cvideo_N>>>` references `video_list` `\u003c\u003c\u003celement_N>>>` references `metadata.element_list` Example: `\"Make the person in \u003c\u003c\u003cimage_1>>> wave at the camera\"`","required":true}],"mode":[{"type":"string","description":"Generation mode. This also determines the billing resolution. `std` - standard mode, 720P `pro` - professional mode, 1080P"}],"duration":[{"type":"integer","description":"Video duration in seconds. Options: `3` , `4` , `5` , `6` , `7` , `8` , `9` , `10`"}],"aspect_ratio":[{"type":"string","description":"Video aspect ratio. Common values: `16:9` , `9:16` , `1:1`"}],"audio":[{"type":"boolean","description":"Whether to generate an audio video."}],"video_list":[{"type":"array","items":[{"type":"object","properties":{"video_url":[{"type":"string","description":"Reference video URL. It must be publicly accessible.","required":true}],"refer_type":[{"type":"string","description":"Reference type: `base` for source video editing, or `feature` for feature/motion reference."}],"keep_original_sound":[{"type":"string","description":"Whether to keep the original video sound: `yes` or `no` ."}]}}],"description":"Official Omni reference video list. Reference videos in the prompt with `\u003c\u003c\u003cvideo_1>>>` , `\u003c\u003c\u003cvideo_2>>>` , and so on."}],"metadata":[{"type":"object","properties":{"image_list":[{"type":"array","items":[{"type":"object","properties":{"image_url":[{"type":"string","description":"Image URL. It must be publicly accessible.","required":true}],"type":[{"type":"string","description":"Image type. For first/end frame semantics, use `first_frame` or `end_frame` . If `end_frame` is provided, `first_frame` is required too."}]}}],"description":"Official Omni image list. Reference images in the prompt with `\u003c\u003c\u003cimage_1>>>` , `\u003c\u003c\u003cimage_2>>>` , and so on."}],"element_list":[{"type":"array","items":[{"type":"object","properties":{"url":[{"type":"string","description":"Subject image, character asset, or another official supported asset URL.","required":true}],"type":[{"type":"string","description":"Element type, such as `image` or `video` ."}],"role":[{"type":"string","description":"Role semantics supported by the official model."}]}}],"description":"Official Omni subject/role reference list. Reference elements in the prompt with `\u003c\u003c\u003celement_1>>>` , `\u003c\u003c\u003celement_2>>>` , and so on."}],"watermark":[{"type":"boolean","description":"Whether to add watermark."}]},"description":"Extended parameters."}]}}],"examples":{"example":{"value":{"model":"\u003cstring>","prompt":"\u003cstring>","mode":"\u003cstring>","duration":123,"aspect_ratio":"\u003cstring>","audio":true,"video_list":[{"video_url":"\u003cstring>","refer_type":"\u003cstring>","keep_original_sound":"\u003cstring>"}],"metadata":{"image_list":[{"image_url":"\u003cstring>","type":"\u003cstring>"}],"element_list":[{"url":"\u003cstring>","type":"\u003cstring>","role":"\u003cstring>"}],"watermark":true}}}}}}},"response":{},"deprecated":false}},"jsLinks":[],"subdomain":"dashlyai","siteName":"ToAPIs Documentation","title":"Kling Video O1 Video Generation - ToAPIs Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"cn":{"href":"/docs/cn/api-reference/videos/kling-video-o1/generation","matchLevel":1},"zh-Hant":{"href":"/docs/zh-Hant/api-reference/videos/kling-video-o1/generation","matchLevel":1},"en":{"href":"/docs/en/api-reference/videos/kling-video-o1/generation","matchLevel":0},"ja":{"href":"/docs/ja/api-reference/videos/kling-video-o1/generation","matchLevel":1},"ko":{"href":"/docs/ko/api-reference/videos/kling-video-o1/generation","matchLevel":1},"ru":{"href":"/docs/ru/api-reference/videos/kling-video-o1/generation","matchLevel":1}}},"lastModified":"2026-09-24T11:19:16.950Z","originalFileLocation":"docs/en/api-reference/videos/kling-video-o1/generation.mdx","locale":"en"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Generate videos with Kling Video O1 using official Omni references: image_list, video_list, and element_list\">\u003cmeta data-mint-head name=\"application-name\" content=\"ToAPIs Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/dashlyai/hXpIH8Ru6pZfB7RW/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/dashlyai/hXpIH8Ru6pZfB7RW/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/dashlyai/hXpIH8Ru6pZfB7RW/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/dashlyai/hXpIH8Ru6pZfB7RW/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/dashlyai/hXpIH8Ru6pZfB7RW/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/dashlyai/hXpIH8Ru6pZfB7RW/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/dashlyai/hXpIH8Ru6pZfB7RW/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/dashlyai/hXpIH8Ru6pZfB7RW/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/dashlyai/hXpIH8Ru6pZfB7RW/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Kling Video O1 Video Generation - ToAPIs Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Generate videos with Kling Video O1 using official Omni references: image_list, video_list, and element_list\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"ToAPIs Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.toapis.com/docs/en/api-reference/videos/kling-video-o1/generation\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://dashlyai.mintlify.app/_mintlify/api/og/v2?division=Kling+Video+O1\u0026amp;title=Kling+Video+O1+Video+Generation\u0026amp;description=Generate+videos+with+Kling+Video+O1+using+official+Omni+references%3A+image_list%2C+video_list%2C+and+element_list\u0026amp;theme=05a42d799ed79e408e323a53\u0026amp;signature=5020d6bb6aab69bc03706e96d5dbcda2a66cd6e70834e27f0af2338cfb3634da\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Kling Video O1 Video Generation - ToAPIs Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Generate videos with Kling Video O1 using official Omni references: image_list, video_list, and element_list\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://dashlyai.mintlify.app/_mintlify/api/og/v2?division=Kling+Video+O1\u0026amp;title=Kling+Video+O1+Video+Generation\u0026amp;description=Generate+videos+with+Kling+Video+O1+using+official+Omni+references%3A+image_list%2C+video_list%2C+and+element_list\u0026amp;theme=05a42d799ed79e408e323a53\u0026amp;signature=5020d6bb6aab69bc03706e96d5dbcda2a66cd6e70834e27f0af2338cfb3634da\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/dashlyai/hXpIH8Ru6pZfB7RW/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"ToAPIs Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#2563EB\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.toapis.com/docs/en/api-reference/videos/kling-video-o1/generation\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/en/api-reference/videos/kling-video-o1/generation.md\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"en\" href=\"https://docs.toapis.com/docs/en/api-reference/videos/kling-video-o1/generation\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"zh\" href=\"https://docs.toapis.com/docs/cn/api-reference/videos/kling-video-o1/generation\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"zh-Hant\" href=\"https://docs.toapis.com/docs/zh-Hant/api-reference/videos/kling-video-o1/generation\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"ja\" href=\"https://docs.toapis.com/docs/ja/api-reference/videos/kling-video-o1/generation\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"ko\" href=\"https://docs.toapis.com/docs/ko/api-reference/videos/kling-video-o1/generation\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"ru\" href=\"https://docs.toapis.com/docs/ru/api-reference/videos/kling-video-o1/generation\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"x-default\" href=\"https://docs.toapis.com/docs/cn/api-reference/videos/kling-video-o1/generation\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.toapis.com/#organization\",\"name\":\"ToAPIs Documentation\",\"url\":\"https://docs.toapis.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/dashlyai/a_NCjmRocEr6wT0r/logo/light.svg?fit=max\u0026auto=format\u0026n=a_NCjmRocEr6wT0r\u0026q=85\u0026s=3d58ff2776a33f0fb61c09a496c32cde\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.toapis.com#website\",\"name\":\"ToAPIs Documentation\",\"url\":\"https://docs.toapis.com\",\"publisher\":{\"@id\":\"https://docs.toapis.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.toapis.com/docs/en/api-reference/videos/kling-video-o1/generation#webpage\",\"url\":\"https://docs.toapis.com/docs/en/api-reference/videos/kling-video-o1/generation\",\"name\":\"Kling Video O1 Video Generation\",\"description\":\"Generate videos with Kling Video O1 using official Omni references: image_list, video_list, and element_list\",\"dateModified\":\"2026-09-24T11:19:16.950Z\",\"isPartOf\":{\"@id\":\"https://docs.toapis.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.toapis.com/docs/en/api-reference/videos/kling-video-o1/generation#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.toapis.com/docs/en/api-reference/videos/kling-video-o1/generation#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Video API\",\"item\":\"https://docs.toapis.com/docs/en/api-reference/videos/doubao-seedance/generation\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Kling Video O1 Video Generation\",\"item\":\"https://docs.toapis.com/docs/en/api-reference/videos/kling-video-o1/generation\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.toapis.com/docs/en/api-reference/videos/kling-video-o1/generation#apireference\",\"headline\":\"Kling Video O1 Video Generation\",\"name\":\"Kling Video O1 Video Generation\",\"description\":\"Generate videos with Kling Video O1 using official Omni references: image_list, video_list, and element_list\",\"url\":\"https://docs.toapis.com/docs/en/api-reference/videos/kling-video-o1/generation\",\"mainEntityOfPage\":{\"@id\":\"https://docs.toapis.com/docs/en/api-reference/videos/kling-video-o1/generation#webpage\"},\"dateModified\":\"2026-09-24T11:19:16.950Z\",\"publisher\":{\"@id\":\"https://docs.toapis.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.toapis.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"ToAPIs Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"ToAPIs Documentation","nav":{"global":null,"languages":[{"language":"cn","pages":[{"title":"cn","href":"/docs/cn/api-reference/videos/kling-video-o1/generation"}]},{"language":"zh-Hant","pages":[{"title":"zh-Hant","href":"/docs/zh-Hant/api-reference/videos/kling-video-o1/generation"}]},{"language":"en","tabs":[{"tab":"API Reference","groups":[{"group":"Overview","pages":[{"title":"API Manual","sidebarTitle":"API Manual","href":"/docs/en"}]},{"group":"Quick Start","pages":[{"title":"Quick Start","sidebarTitle":"Guides","href":"/docs/en/quickstart"},{"title":"Claude Code Setup Guide","sidebarTitle":"Claude Code","href":"/docs/en/integrations/claude-code"},{"title":"Codex Setup Guide","sidebarTitle":"Codex","href":"/docs/en/integrations/codex"},{"title":"Using ToAPIs with OpenClaw","sidebarTitle":"OpenClaw","href":"/docs/en/integrations/openclaw"},{"title":"Cherry Studio Setup Guide","sidebarTitle":"Cherry Studio","href":"/docs/en/integrations/cherry-studio"},{"title":"Integrations","sidebarTitle":"Integrations","href":"/docs/en/integrations/chatbox"}]},{"group":"Model Catalog","pages":[{"title":"Public Model Catalog","sidebarTitle":"Model Catalog","href":"/docs/en/api-reference/models"}]},{"group":"Chat API","pages":[{"title":"Supported Text Models","sidebarTitle":"Model List","href":"/docs/en/api-reference/chat/models"},{"title":"List Models","sidebarTitle":"List Models","api":"GET https://toapis.com/v1/models","href":"/docs/en/api-reference/chat/list-models"},{"group":"GPT-5 Series","pages":[{"title":"GPT-5.4 Chat","sidebarTitle":"gpt-5.4","api":"POST https://toapis.com/v1/chat/completions","href":"/docs/en/api-reference/chat/gpt-5.4/chat"},{"title":"GPT-5.5 Chat","sidebarTitle":"gpt-5.5","api":"POST https://toapis.com/v1/chat/completions","href":"/docs/en/api-reference/chat/gpt-5.5/chat"},{"title":"GPT-5.6 Family Chat","sidebarTitle":"gpt-5.6 family","api":"POST https://toapis.com/v1/chat/completions","href":"/docs/en/api-reference/chat/gpt-5.6/chat"}]},{"group":"OpenAI Format","pages":[{"title":"Chat Completions","sidebarTitle":"Chat Completions API","api":"POST https://toapis.com/v1/chat/completions","href":"/docs/en/api-reference/chat/chat"}]},{"group":"Anthropic Format","pages":[{"title":"Anthropic Messages API","sidebarTitle":"POST /v1/messages","api":"POST https://toapis.com/v1/messages","href":"/docs/en/api-reference/chat/messages"}]},{"group":"Responses Format","pages":[{"title":"Responses API","sidebarTitle":"Responses API","api":"POST https://toapis.com/v1/responses","href":"/docs/en/api-reference/chat/responses"}]}]},{"group":"Image API","pages":[{"group":"Gemini-3-Pro-Image-preview (Nano banana2)","pages":[{"title":"Gemini-3-Pro Image Generation","sidebarTitle":"Gemini-3-Pro-Image","api":"POST https://toapis.com/v1/images/generations","href":"/docs/en/api-reference/images/gemini-3-pro-image/generation"}]},{"group":"Gemini-3-Pro-Image VIP
[...]
